package orm

type User interface {
	GetID() uint

	GetRegenerate() bool
	SetRegenerate(value bool)

	GetExclude() bool

	SetPlainPassword(password string)
	GetPlainPassword() string

	CompleteName() string
	Username() string

	GetName() string
	GetSurname() string

	GetEmail() string
	GetAltEmail() string

	DN() string

	RestAPIPath() string
}
